 -- SmellyPowerBar by Smelly
-- Credits to Hydra, Tukz, Foof, and all the Tukui Community
-- Config
AltPowerSettings = {
	StatusTex = [[Interface\AddOns\SmellyPowerBar\Media\Bubble.tga]],		-- Texture for statusbar
	PanelTex = [[Interface\AddOns\SmellyPowerBar\Media\Flat.tga]],		-- Texture for panel
	font = [[Interface\AddOns\SmellyPowerBar\Media\arial.ttf]],		-- Font
	fontsize = 15, 		-- Font size
	barWidth = 200,		-- Bar width
	barHeight = 23,		-- Bar height
	anchor = {"TOP", UIParent, "TOP", 0, -70},	-- Defualt anchor of the bar
	
	-- Coloring config
	colors = {
		{0, 0, 0},			-- Backdrop color of panel
		{.2, .2, .2, 1},	-- Backdrop border color of panel	
		{0, 1, 0},			-- Color of statusbar
	},
}

-- Get rid of old Alt Power Bar
PlayerPowerBarAlt:UnregisterEvent("UNIT_POWER_BAR_SHOW")
PlayerPowerBarAlt:UnregisterEvent("UNIT_POWER_BAR_HIDE")
PlayerPowerBarAlt:UnregisterEvent("PLAYER_ENTERING_WORLD")

--Create Background and Border
local AltPowerBG = CreateFrame("Frame", "AltPowerBG", UIParent)
AltPowerBG:SetHeight(AltPowerSettings.barHeight)
AltPowerBG:SetWidth(AltPowerSettings.barWidth)
AltPowerBG:SetPoint(unpack(AltPowerSettings.anchor))
AltPowerBG:SetBackdrop({
	bgFile = AltPowerSettings.PanelTex, 
	edgeFile = AltPowerSettings.PanelTex, 
	tile = false, tileSize = 0, edgeSize = 1, 
	insets = { left = -1, right = -1, top = -1, bottom = -1}
})
AltPowerBG:SetBackdropColor(unpack(AltPowerSettings.colors[1]))
AltPowerBG:SetBackdropBorderColor(unpack(AltPowerSettings.colors[2]))
AltPowerBG:SetMovable(true)
AltPowerBG:SetClampedToScreen(true)
AltPowerBG:SetUserPlaced(true)
	
-- For Tukui users :D
if IsAddOnLoaded("Tukui") then
	local T, C, L = unpack(Tukui)
	AltPowerBG:SetTemplate("Default")
end

-- Create Status Bar and Text
local AltPowerBar = CreateFrame("StatusBar", "AltPowerBar", AltPowerBG)
AltPowerBar:SetStatusBarTexture(AltPowerSettings.StatusTex)
AltPowerBar:SetMinMaxValues(0, 100)
AltPowerBar:SetPoint("TOPLEFT", AltPowerBG, "TOPLEFT", 2, -2)
AltPowerBar:SetPoint("BOTTOMRIGHT", AltPowerBG, "BOTTOMRIGHT", -2, 2)
AltPowerBar:SetStatusBarColor(unpack(AltPowerSettings.colors[3]))

local AltPowerText = AltPowerBar:CreateFontString(nil, "OVERLAY")
AltPowerText:SetFont(AltPowerSettings.font, AltPowerSettings.fontsize, "THINOUTLINE")
AltPowerText:SetPoint("CENTER", AltPowerBG, "CENTER")

--Event handling
AltPowerBG:RegisterEvent("UNIT_POWER")
AltPowerBG:RegisterEvent("UNIT_POWER_BAR_SHOW")
AltPowerBG:RegisterEvent("UNIT_POWER_BAR_HIDE")
AltPowerBG:RegisterEvent("PLAYER_ENTERING_WORLD")
AltPowerBG:SetScript("OnEvent", function(self)
	self:UnregisterEvent("PLAYER_ENTERING_WORLD")
	if UnitAlternatePowerInfo("player") or UnitAlternatePowerInfo("target") then
		self:Show()
	else
		self:Hide()
	end
end)

-- Update Functions
local TimeSinceLastUpdate = 1
AltPowerBar:SetScript("OnUpdate", function(self, elapsed)
	if not AltPowerBG:IsShown() then return end
	
	local ZoneName = GetRealZoneText()
    local subZoneName = GetSubZoneText()
	TimeSinceLastUpdate = TimeSinceLastUpdate + elapsed
	
	if (TimeSinceLastUpdate >= 1) then
		if ZoneName == "Blackwing Descent" then
			if subZoneName == "Vault of the Shadowflame" then
				self:SetMinMaxValues(0, UnitPowerMax("target", ALTERNATE_POWER_INDEX))
				local power = UnitPower("target", ALTERNATE_POWER_INDEX)
				local mpower = UnitPowerMax("target", ALTERNATE_POWER_INDEX)
				self:SetValue(power)
				AltPowerText:SetText(power.."/"..mpower)
			else
				self:SetMinMaxValues(0, UnitPowerMax("player", ALTERNATE_POWER_INDEX))
				local power = UnitPower("player", ALTERNATE_POWER_INDEX)
				local mpower = UnitPowerMax("player", ALTERNATE_POWER_INDEX)
				self:SetValue(power)
				AltPowerText:SetText(power.."/"..mpower)
			end
		else
			self:SetMinMaxValues(0, UnitPowerMax("player", ALTERNATE_POWER_INDEX))
			local power = UnitPower("player", ALTERNATE_POWER_INDEX)
			local mpower = UnitPowerMax("player", ALTERNATE_POWER_INDEX)
			self:SetValue(power)
			AltPowerText:SetText(power.."/"..mpower)
		end
	end
	self.TimeSinceLastUpdate = 0
end)

-- Move function
local pmove = false 
local function POWER()
	if not pmove then
		pmove = true
		print("Power Bar unlocked")
		AltPowerBG:EnableMouse(true)
		AltPowerBG:RegisterForDrag("LeftButton")
		AltPowerBG:SetScript("OnDragStart", AltPowerBG.StartMoving)
		AltPowerBG:SetScript("OnDragStop", AltPowerBG.StopMovingOrSizing)
		AltPowerBG:UnregisterEvent("UNIT_POWER_BAR_SHOW")
		AltPowerBG:UnregisterEvent("UNIT_POWER_BAR_HIDE")
		AltPowerBG:UnregisterEvent("UNIT_POWER")
		ToggleFrame(AltPowerBG)
	elseif pmove == true then
		AltPowerBG:RegisterEvent("UNIT_POWER")
		AltPowerBG:RegisterEvent("UNIT_POWER_BAR_SHOW")
		AltPowerBG:RegisterEvent("UNIT_POWER_BAR_HIDE")
		ToggleFrame(AltPowerBG)
		AltPowerBG:EnableMouse(false)
		pmove = false
		print("Power Bar locked")
	end
end
SLASH_POWER1 = "/pmove"
SlashCmdList["POWER"] = POWER
